/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized. This 
* software is owned by Renesas Electronics Corporation and is protected under 
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING 
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT 
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
* AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR 
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE 
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software 
* and to discontinue the availability of this software.  By using this software, 
* you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights re
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_cmp_user.c
* Version      : 
* Device(s)    : R5F117GCG
* Tool-Chain   : IAR Systems iccrl78
* Description  : This file implements device driver for CMP module.
* Creation Date: 10/01/2015
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
/* Start user code for include. Do not edit comment generated here */
#include "r_cg_rtc.h"
#include "r_cg_cmp.h"
#include "r_cg_amp.h"
#include "r_cg_it.h"
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
uint8_t gCMP0_int;
uint8_t gCMP1_int;
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: r_cmp0_interrupt
* Description  : This function is INTCMP0 interrupt service routine.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
#pragma vector = INTCMP0_vect
__interrupt static void r_cmp0_interrupt(void)
{   
    /* Start user code. Do not edit comment generated here */
    CMPIF0 = 0;
    gCMP0_int = 1U;
    R_CMP0_Stop();
    AMP_LPF_Stop();
    R_RTC_Start();          /* Start RTC for 1 second count  to time out HPF */
    AMP_HPF_Start();
    amp_state = AMP_STATE_HPF_START;
    TRTCMP1  = 2;                      /* delay 15mS before starting comparitor */
    R_IT10_Start();             
    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: r_cmp1_interrupt
* Description  : This function is INTCMP0 interrupt service routine.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
#pragma vector = INTCMP1_vect
__interrupt static void r_cmp1_interrupt(void)
{
    /* Start user code. Do not edit comment generated here */
    CMPIF1 = 0;
    gCMP1_int = 1U;
    amp_state = AMP_STATE_IDLE;
            R_CMP1_Stop();
            AMP_HPF_Stop();
            R_IT10_Stop();
    // R_CMP1_Stop();
    // AMP_HPF_Stop();
    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
